<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from builder.texi on 28 April 1999 -->

<TITLE>The Builder Library - Using Constant Values</TITLE>
<link href="builder_12.html" rel=Next>
<link href="builder_10.html" rel=Previous>
<link href="builder_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="builder_1.html">first</A>, <A HREF="builder_10.html">previous</A>, <A HREF="builder_12.html">next</A>, <A HREF="builder_47.html">last</A> section, <A HREF="builder_toc.html">table of contents</A>.
<P><HR><P>


<H2><A NAME="SEC26" HREF="builder_toc.html#TOC26">Using Constant Values and Literals</A></H2>
<P>
<A NAME="IDX71"></A>
<A NAME="IDX72"></A>
<A NAME="IDX73"></A>
In the builder, constant values and literals can be used by creating a
block using that value. Whenever a block defining a constant or a
literal is used, the builder will introduce a SUIF load constant
(<CODE>in_ldc</CODE>) instruction to load the corresponding value.
See section <A HREF="builder_35.html#SEC66">Values and Literals</A> for a detailed description on using constant values
and literals in the builder.

</P>

<PRE>
        block int100(100);                    Integer value 100. 
        block strtst("This is a test");       strtst is the string. 
        block root3(sqrt(3.0));               the square root of 3. 
        int i = ...;
        block i_val(i);                       value of <CODE>i</CODE> at this time.
</PRE>

<P>
<A NAME="IDX74"></A>

</P>
<P><HR><P>
<p>Go to the <A HREF="builder_1.html">first</A>, <A HREF="builder_10.html">previous</A>, <A HREF="builder_12.html">next</A>, <A HREF="builder_47.html">last</A> section, <A HREF="builder_toc.html">table of contents</A>.
</BODY>
</HTML>
